package com.ruoyi.bst.suit.service;

import java.util.List;

import com.ruoyi.bst.suit.domain.SuitVO;

public interface SuitValidator {

    /**
     * 当前用户是否可以编辑
     * @param id
     * @return
     */
    boolean canEdit(Long id);

    /**
     * 当前用户是否可以删除
     * @param id
     * @return
     */
    boolean canDelete(List<Long> ids);

    /**
     * 校验数据
     */
    void validate(SuitVO vo);
}
